.sppb-btn {
    font-size: 14px!important;
}

.sppb-btn-default:focus {
    box-shadow: none;
}


.videoslide-btn {
    margin-top: 10px;
}

@media screen and (max-width:768px){
a.videoslide-btn{
    font-size: 12px!important;
    padding: 10px 20px;
  }}


.sppb-btn.sppb-btn-default {
  border: 0px solid #fff;
  overflow: hidden!important;
  position: relative!important;
  background: #0000;
  border-radius: 0px;
  color: #4d5f72;
  transition: 0.5s ease;
  font-size: 16px !important;
  font-weight: 700;
  letter-spacing: .3px;
  z-index: 9999 !important;
  padding: 15px 0px 15px 20px;
}
.sppb-btn.sppb-btn-default {
  z-index: 20;
}

.sppb-btn-default:before {
    position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-02.png);
    width: 50px;
    height: 50px;
    background-size: cover;
    left: 0px;
    top: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 0.3;
    margin: auto;
    z-index: -4 !important;
}

.sppb-btn-default:hover:before {
    opacity: 0.5;
       transform: rotate(-90deg);
}


/***************************************************************/

p.button{
  overflow: hidden!important;
  position: relative!important;
  border-radius: 0px;
  transition: 0.5s ease;
}
p.button{
  z-index: 20;
  width: 200px;
  margin: auto;
  color: #fff!important;
}
p.button a{
  color: #fff!important;
}
p.button:after {
  background: #fff!important;
  content: "";
  height: 155px;
  left: -75px;
  opacity: 0.4;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 1050ms cubic-bezier(0.19, 1, 0.22, 1)!important;
  width: 50px!important;
  z-index: -10!important;
}

p.button:hover:after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}
/***************************************************************/

.sppb-btn-primary {
  border: 0px solid #fff;
  overflow: hidden!important;
  position: relative!important;
  background: #0000;
  border-radius: 0px;
  color: #ffffff;
  transition: 0.5s ease;
  font-size: 16px !important;
  font-weight: 700;
  letter-spacing: .3px;
  z-index: 9999 !important;
  padding: 15px 0px 15px 20px;
}
.sppb-btn-primary {
  z-index: 20;
}

.sppb-btn-primary:hover {
    color: #ffffff82;
    padding: 15px 0px 15px 22px;
    background: #fff0;
}

@media(max-width: 991px){
.sppb-btn-primary {
    padding: 20px 0px 20px 20px;
}}

.sppb-btn-primary:before {
    position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-02.png);
    width: 50px;
    height: 50px;
    background-size: cover;
    left: 0px;
    top: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 0.3;
    margin: auto;
    z-index: -4 !important;
}

@media(max-width: 991px){
.sppb-btn-primary:before {
  position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-02.png);
    width: 35px;
    height: 35px;
    background-size: cover;
    left: 0px;
    top: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 0.3;
    margin: auto;
    z-index: -4 !important;
  }}


.sppb-btn-primary:hover:before {
    opacity: 0.5;
       transform: rotate(-90deg);
}

.sppb-btn-primary:active, .sppb-btn-primary:focus {
    opacity: 0.4;
    background: transparent;
    border-color: transparent;
    box-shadow: none;
}


/***************************************************************/
a.hikabtn.hikacart{
  border: none !important;
  overflow: hidden!important;
  position: relative!important;
  background: #000;
  border-radius: 0px;
  color: #fff;
  transition: 0.5s ease;
  font-size: 12px;
  padding: 8px 20px;
}
a.hikabtn.hikacart{
  z-index: 20;
}
a.hikabtn.hikacart:after {
  background: #fff!important;
  content: "";
  height: 155px;
  left: -75px;
  opacity: 0.4;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 1050ms cubic-bezier(0.19, 1, 0.22, 1)!important;
  width: 50px!important;
  z-index: -10!important;
}

a.hikabtn.hikacart:hover:after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}

a.hikabtn.hikacart:hover {
  z-index: 20;  background: #000;  color: #fff;
  transform: translate(0px, -8px);
  transition: 0.5s ease;
}
/***************************************************************/
.sppb-btn.sppb-btn-link:after {background: #252525!important;height: 1px;}
.sppb-btn.sppb-btn-link:hover:after{background: rgb(37 37 37 / 50%)!important;}



/***************************************************************/
button#bfSubmitButton{
  overflow: hidden!important;
  position: relative!important;
  font-size:14px!important;
  border-radius: 0px;
  border-radius: 0px!important;
  color: #fff;
  padding:10px 20px;
  transition: 0.5s ease;
}
button#bfSubmitButton {
  z-index: 20;
}
button#bfSubmitButton {
  border: 1px solid #fff;
  overflow: hidden!important;
  position: relative!important;
  background: #0000;
  border-radius: 0px;
  color: #4d5f72;
  transition: 0.5s ease;
  font-size: 16px !important;
  font-weight: 700;
  letter-spacing: 0.3px;
  box-shadow: none;
  z-index: 9999 !important;
  padding: 15px 0px 15px 20px;
}
button#bfSubmitButton {
  z-index: 20;
}

button#bfSubmitButton:before {
    position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-02.png);
    width: 50px;
    height: 50px;
    background-size: cover;
    left: 0px;
    top: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 0.3;
    margin: auto;
    z-index: -4 !important;
}



/***************************************************************/
button.bfbs3-btn.bfbs3-btn-primary.remodal-confirm{
  border: 1px solid #000!important;
  overflow: hidden!important;
  position: relative!important;
  background: #000;
  font-size:14px!important;
  border-radius: 0px;
  border-radius: 0px!important;
  color: #fff;
  padding:10px 20px;
  transition: 0.5s ease;
}
button.bfbs3-btn.bfbs3-btn-primary.remodal-confirm{
  z-index: 20;
}
button.bfbs3-btn.bfbs3-btn-primary.remodal-confirm:after {
  background: #fff!important;
  content: "";
  height: 155px;
  left: -75px;
  opacity: 0.4;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 1050ms cubic-bezier(0.19, 1, 0.22, 1)!important;
  width: 50px!important;
  z-index: -10!important;border-radius:30px;
}

button.bfbs3-btn.bfbs3-btn-primary.remodal-confirm:hover:after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}

button.bfbs3-btn.bfbs3-btn-primary.remodal-confirm:hover {
  z-index: 20;  background: #000;  color: #fff;
  transform: translate(0px, -8px);
  transition: 0.5s ease;
}


/***************************************************************/

div#hikashop_product_right_part .hikabtn{
  text-align:LEFT;
  border: 0px solid #fff;
  overflow: hidden!important;
  position: relative!important;
  background: #0000;
  border-radius: 0px;
  color: #4d5f72;
  transition: 0.5s ease;
  font-size: 16px !important;
  font-weight: 700;
  letter-spacing: .3px;
  z-index: 9999 !important;
  padding: 25px 0px 25px 20px;
}
div#hikashop_product_right_part .hikabtn{
  z-index: 20;
}

div#hikashop_product_right_part .hikabtn:before {
    position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-02.png);
    width: 35px;
    height: 35px;
    background-size: cover;
    left: 0px;
    top: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 0.3;
    margin: auto;
    z-index: -4 !important;
}


/***************************************************************/
button.btn.btn-primary.validate {
  border: 1px solid #000!important;
  overflow: hidden!important;
  position: relative!important;
  background: #000;
  font-size:14px!important;
  border-radius: 0px;
  border-radius: 0px!important;
  color: #fff;
  padding:10px 20px;
  transition: 0.5s ease;
}
button.btn.btn-primary.validate {
  z-index: 20;
}
button.btn.btn-primary.validate:after {
  background: #fff!important;
  content: "";
  height: 155px;
  left: -75px;
  opacity: 0.4;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 1050ms cubic-bezier(0.19, 1, 0.22, 1)!important;
  width: 50px!important;
  z-index: -10!important;border-radius:30px;
}

button.btn.btn-primary.validate:hover:after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}

button.btn.btn-primary.validate:hover {
  z-index: 20;  background: #000;  color: #fff;
  transform: translate(0px, -8px);
  transition: 0.5s ease;
}

/***************************************************************/
.view-profile a.btn{
  border: 1px solid #000!important;
  overflow: hidden!important;
  position: relative!important;
  background: #000;
  font-size:14px!important;
  border-radius: 0px;
  border-radius: 0px!important;
  color: #fff;
  padding:10px 20px;
  transition: 0.5s ease;
}
.view-profile a.btn{
  z-index: 20;
  font-weight: 700!important;
  padding: 8px 24px!important;
}
.view-profile a.btn:after {
  background: #fff!important;
  content: "";
  height: 155px;
  left: -75px;
  opacity: 0.4;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 1050ms cubic-bezier(0.19, 1, 0.22, 1)!important;
  width: 50px!important;
  z-index: -10!important;border-radius:30px;
}

.view-profile a.btn:hover:after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}

.view-profile a.btn:hover {
  z-index: 20;  background: #000;  color: #fff;
  transform: translate(0px, -8px);
  transition: 0.5s ease;
}

/***************************************************************/

.sppb-fw-slider-button-wrapper a:hover {color: #898989!important;transition:0.3s ease;}
.sppb-fw-slider-button-wrapper a:hover:before {background: #898989!important;transition:0.3s ease;}


.sppb-slide-item-bg.sppb-slideshow-fullwidth-item-bg .sppb-fw-slider-button-wrapper a {
  border: none;
  font-weight: 700!important;
  background: #252525!important;
  position: relative;
  padding: 10px 20px!important;
  border-radius: 0px!important;
}
.sppb-slide-item-bg.sppb-slideshow-fullwidth-item-bg .sppb-fw-slider-button-wrapper a:hover {
  border: none;
  font-weight: 700!important;
  background: rgb(189 126 45)!important;
  position: relative;color:#fff!important;
  padding: 10px 20px!important;
  border-radius: 0px!important;
}

/*order*/
.view-order button.hikabtn.hikabtn-success {margin:0px;}

.view-order button.hikabtn.hikabtn-danger {padding: 8px 20px!important;}

/*others*/
button.hikabtn.hikabtn-success.hikashop_checkout_address_new_button,
button#hikabtn_checkout_next{
    font-size: 14px;
    padding: 8px 20px;
}

/*search btn*/
button#hikashop_filter_button_module_176:after {
    display: none;
}
button#hikashop_filter_button_module_176 {
    background: transparent!important;
  transform: translate(0px, -2px);
}
button#hikashop_filter_button_module_176:hover {
    background: transparent!important;
  transform: translate(0px, -2px);opacity:0.5;
}


.pop-up-001 .sppb-btn-default {
    position: relative;
    border-radius: 100%;
    padding: 25px 25px;
    background: #000000ab;
    backdrop-filter: blur(2px);
    border: 1px solid #26afd8;
  transition:0.3s;
    box-shadow: 1px 1px 7px 2px #25aed782;
}
.pop-up-001 .sppb-btn-default:hover {
    box-shadow: 2px 2px 10px 2px #25aed7d9;
  
}

.pop-up-001 .sppb-btn-default:before {
    position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-01.png);
    width: 20px;
    height: 20px;
    background-size: cover;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 4.3;
    margin: auto;
}

@media(max-width: 992px){
.pop-up-001 .sppb-btn-default {
    position: relative;
    border-radius: 100%;
    padding: 20px 20px;
    background: #0000005c;
    backdrop-filter: blur(2px);
    border: 1px solid #26afd8;
    transition:0.3s;
    box-shadow: 1px 1px 7px 2px #25aed782;
}
.pop-up-001 .sppb-btn-default:hover {
    box-shadow: 2px 2px 10px 2px #25aed7d9;
  
}

.pop-up-001 .sppb-btn-default:before {
    position: absolute;
    content: '';
    background: url(/images/000_xeno/pattern/btn-01.png);
    width: 15px;
    height: 15px;
    background-size: cover;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    transition: 0.3s;
    opacity: 4.3;
    margin: auto;
}}


/*end*/